package dev.fitko.fitconnect.api.domain.sender.steps.unencrypted;

import dev.fitko.fitconnect.api.domain.model.submission.ServiceType;

public interface ServiceTypeStep {

    /**
     * Sets a {@link ServiceType} for a submission
     *
     * @param serviceIdentifier unique identifier of the service in the form <b>urn:de:fim:leika:leistung:</b>
     * @param serviceName       a name of the service
     * @return next step to add attachments
     * @see <a href="https://fimportal.de/">Search For Service Types</a>
     */
    DataStep setServiceType(String serviceIdentifier, String serviceName);
}
